Spreadsheet::ParseXLSX::Cell(3pm)

NAME
Spreadsheet::ParseXLSX::Cell - wrapper class around Spreadsheet::ParseExcel::Cell

VERSION
version 0.37

SYNOPSIS
  use Spreadsheet::ParseXLSX::Cell;

  my $cell = Spreadsheet::ParseXLSX::Cell->new(
    Sheet => $sheet,
    Row => $row,
    Col => $row,
    ...
  );

  my $isMerged = $cell->is_merged();
  # see Spreadsheet::ParseExcel::Cell for further documentation

METHODS

  is_merged($sheet, $row, $col)
Returns true if the cell is merged being part of the given sheet, located at the given row and column. Returns undef if the current cell is not connected to any sheet:

$sheet defaults to the cell's "{Sheet}" property, $row to "{Row}" and $col to the "{Col}".

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2026 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License